[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.OwnsObjects

Determines whether the stringlist owns it's objects or not.

## Declaration

Source position: classesh.inc line 766

`public property TStringList.OwnsObjects : Boolean read FOwnsObjects write FOwnsObjects;`

## Description

OwnsObjects can be set to true to let the stringlist instance own the objects in the list: if an element is removed from the list, the associated object (if there is any) will be freed as well. The same is true if the list is cleared or destroyed.

## See also

TStrings.Objects |  | Indexed access to the objects associated with the strings in the list.

Documentation generated on: Feb 26 2014